For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
contact@agentmail.ccDiscord
DocumentationAPI ReferenceKnowledge BaseChangelog
DocumentationAPI ReferenceKnowledge BaseChangelog
  • API Reference
      • GETList Entries
      • GETGet List Entry
      • POSTCreate List Entry
      • DELDelete List Entry
LogoLogo
contact@agentmail.ccDiscord
API ReferenceLists

Delete List Entry

DELETE
/v0/lists/:direction/:type/:entry
DELETE
/v0/lists/:direction/:type/:entry
1from agentmail import AgentMail
2
3client = AgentMail(
4 api_key="YOUR_TOKEN_HERE",
5)
6
7client.lists.delete(
8 direction="send",
9 type="allow",
10 entry="entry",
11)
**CLI:** ```bash agentmail lists delete --direction <direction> --type <type> --entry <entry> ```
Was this page helpful?
Previous

Query Metrics

Next
Built with

CLI:

$agentmail lists delete --direction <direction> --type <type> --entry <entry>

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

directionenumRequired
Direction of list entry.
Allowed values:
typeenumRequired
Type of list entry.
Allowed values:
entrystringRequired
Email address or domain.

Errors

404
Not Found Error